# 多腿期权下单

`POST` `/v1/trade/order/multileg`

该接口用于提交多腿期权组合订单（如垂直价差、跨式、宽跨式、领口等）。各腿作为一个策略订单一起提交。

## Parameters

### Request Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `side` | string | Yes | 买卖方向。**可选值：**, `Buy`, `Sell` |
| `order_type` | string | Yes | 订单类型。可选值：`LO`、`ELO`、`MO`、`AO`、`ALO`、`ODD`、`LIT`、`MIT`、`TSLPAMT`、`TSLPPCT`、`SLO`。 |
| `submitted_price` | string | No | 下单价格，例如：`1.5`. `LO` 等限价类型订单必填 |
| `submitted_quantity` | string | Yes | 下单数量（组合数量），例如：`1` |
| `strategy` | string | Yes | 多腿策略。**可选值：**, `CoveredCall` - 股票担保，`CoveredPut` - 股票担保，`VerticalCallSpread` - 垂直策略，`VerticalPutSpread` - 垂直策略，`Collar` - 领式策略，`Straddle` - 跨式策略，`Strangle` - 宽跨式策略 |
| `legs` | array | Yes | 组合订单的各腿 |
| `∟ symbol` | string | Yes | 期权 symbol，使用 `ticker.region` 格式，例如：`QQQ260731C764000.US` |
| `∟ ratio_quantity` | string | Yes | 该腿比例数量，例如：`1` |
| `remark` | string | No | 备注（最多 255 字符） |
| `client_request_id` | string | No | 客户端请求 ID，用于幂等（最多 64 字符） |

## Request Example

```bash
curl --request POST \
  --url 'https://openapi.longbridge.com/v1/trade/order/multileg' \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{"side":"<side>","order_type":"<order_type>","submitted_price":"<submitted_price>","submitted_quantity":"<submitted_quantity>","strategy":"<strategy>","legs":[],"∟ symbol":"<∟ symbol>","∟ ratio_quantity":"<∟ ratio_quantity>","remark":"<remark>","client_request_id":"<client_request_id>"}'
```

## Response

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "order_id": "683615454870679600"
  }
}
```
